Partners Blog Contact Us

Epic Compatibility with Vidyo Infrastructure 

Follow

This article includes the following sections:

Overview and Prerequisites

  • Please review these tables prior to scheduling an upgrade session to ensure that you have the proper Epic security updates installed on your Epic environment prior to upgrading Vidyo. If you have incompatible Epic security updates; the Epic-Vidyo integration may not work correctly.
  • Schedule your update once you have
    • Confirmed the correct Epic security updates are installed and
    • Verified the correct compatibility.

For more information on upgrading from one Vidyo server to another, please refer to the Vidyo Upgrade Steps Lookup Tool article.

Compatibility Tables

The first table below lists the important versions related to the Epic App Orchard Integration. The remaining tables illustrate the compatibility between VidyoServers, VidyoClients, and Epic. If the row and column is blank, then there is no need for a security patch (e.g., no compatibility issues); however, if a patch is needed it will be indicated as an alphanumeric patch, for example "C8325664".

Epic CAL Integration Version Table

Epic CAL Integration Version Table      

Product  Version Milestone
VidyoPortal 19.3.0  Minimum version supporting Epic CAL with App Orchard​ 
VidyoPortal 18.4.0  First version of VidyoPortal supporting Epic CAL (without App Orchard Epic-Client-ID support)​ 
Epic February 2019 Starting with this version, Epic Client IDs are mandatory; therefore, VidyoPortal version 19.3.0 or later is required (App Orchard integration)​
VidyoConnect for Desktop 

19.4.1 (latest version)

18.2.0 (minimum version)

Minimum version supporting Epic CAL; however we recommend upgrading to the latest version.  ​
VidyoConnect for Mobile

19.4.0 (latest version)

18.1.0 (minimum version)

Minimum version supporting Epic CAL; however we recommend upgrading to the latest version.  ​​

Deeply Integrated Version Tables

VidyoPortal and VidyoRouter

The following table includes the infrastructure component and compatible Vidyo and Epic versions. Rows that a blank are compatible; rows that need patches are indicated by the alphanumeric patch, example: C8239160.

VidyoPortal and VidyoRouter

Version Epic Feb 2019 Epic Nov 2018 Epic Aug 2018 Epic 2018 Epic 2017 Epic 2015
3.4.4            
3.4.6 – 18.2.1, 18.4         C8325664 C8239160
19.3.0            

VidyoClient-Desktop

The following table includes the infrastructure component and compatible Vidyo and Epic versions. Rows that a blank are compatible; rows that need patches are indicated by the alphanumeric patch, example: C8239160.

VidyoClient-Desktop       

Version Epic Feb 2019 Epic Nov 2018 Epic Aug 2018 Epic 2018 Epic 2017 Epic 2015
3.1            
3.5.1         C8332943 C8240800

VidyoClientForWeb Plugin (Chrome)

The following table includes the infrastructure component and compatible Vidyo and Epic versions. Rows that a blank are compatible; rows that need patches are indicated by the alphanumeric patch, example: C8239160

**VidyoClient (iOS) : supports library 3.5.14 in version 8.6**

**VidyoClient (Android): supports library 3.5.13 in version 8.7** 

VidyoClientForWeb Plugin (Chrome)     

Version Epic Feb 2019 Epic Nov 2018 Epic Aug 2018 Epic 2018 Epic 2017 Epic 2015
1.3.1           C8224094

C8225078

1.3.14        

C8310471

C8310592

C8232740

C8232828

1.3.20         C8318636 C8237162
1.3.24       C8403553 C8328332 N/A
1.3.27   C8604502 C8509865 C8420629 C8335095 C8241140

VidyoWeb Plugin (NPAPI)

The following table includes the infrastructure component and compatible Vidyo and Epic versions. Rows that a blank are compatible; rows that need patches are indicated by the alphanumeric patch, example: C8239160

VidyoWeb Plugin (NPAPI)       

Version Epic Feb 2019 Epic Nov 2018 Epic Aug 2018 Epic 2018 Epic 2017 Epic 2015
1.2.3.0093            
1.3.24     C8505077 C8416751  C8333955 C8240954
1.3.27   C8604502 C8509865 C8420629 C8335095 C8241140
Was this article helpful?
0 out of 0 found this helpful

Comments

0 comments

Please sign in to leave a comment.